package com.ruoyi.bst.help.service;

import java.util.List;
import com.ruoyi.bst.help.domain.Help;
import com.ruoyi.bst.help.domain.HelpVO;
import com.ruoyi.bst.help.domain.HelpQuery;

/**
 * 教程列表Service接口
 *
 * @author ruoyi
 * @date 2025-04-29
 */
public interface HelpService
{
    /**
     * 查询教程列表
     *
     * @param id 教程列表主键
     * @return 教程列表
     */
    public HelpVO selectHelpById(Long id);

    /**
     * 查询教程列表列表
     *
     * @param help 教程列表
     * @return 教程列表集合
     */
    public List<HelpVO> selectHelpList(HelpQuery help);

    /**
     * 新增教程列表
     *
     * @param help 教程列表
     * @return 结果
     */
    public int insertHelp(Help help);

    /**
     * 修改教程列表
     *
     * @param help 教程列表
     * @return 结果
     */
    public int updateHelp(Help help);

    /**
     * 批量删除教程列表
     *
     * @param ids 需要删除的教程列表主键集合
     * @return 结果
     */
    public int deleteHelpByIds(Long[] ids);

    /**
     * 删除教程列表信息
     *
     * @param id 教程列表主键
     * @return 结果
     */
    public int deleteHelpById(Long id);

    /**
     * 通过教程编码获取教程详情
     *
     * @param code 教程编码
     * @return 教程详情
     */
    public HelpVO selectByCode(String code);
}
